Version 4.0.26.22 (latest)

Returns the Integration form for presentation to the user.

## Request

POST /integrations/{integration_id}/form Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... integration_id string Id of integration body HTTP Body Expand HTTP Body definition... body object Integration Form Request

## Response

### 200: Data Action Form

Datatype Description (object) [DataActionForm](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DataActionForm) state [DataActionUserState](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DataActionUserState) User state Expand DataActionUserState definition... data string User state data refresh_time integer Time in seconds until the state needs to be refreshed fields [DataActionFormField](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DataActionFormField)\[\] Expand DataActionFormField definition... name string Name label string Human-readable label description string Description of field type string Type of field. default string Default value of the field. oauth_url string The URL for an oauth link, if type is 'oauth_link'. interactive boolean Whether or not a field supports interactive forms. required boolean Whether or not the field is required. This is a user-interface hint. A user interface displaying this form should not submit it without a value for this field. The action server must also perform this validation. options [DataActionFormSelectOption](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DataActionFormSelectOption)\[\] Expand DataActionFormSelectOption definition... name string Name label string Human-readable label

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link